# eric3.Helpviewer.SearchDialog

Module implementing the search dialog for the helpviewer.

### Classes

SearchDialog | Module implementing the search dialog for the helpviewer.

### Functions

None

## SearchDialog

Module implementing the search dialog for the helpviewer.

### Derived from

SearchForm

### Methods

SearchDialog | Constructor
enableFindButtons | Private slot to enable/disable the find buttons.
handleFind | Private slot to find the entered text in the displayed page.
handleFindNext | Public slot to find the next occurance of text.
showFind | Public method to display this dialog.

### SearchDialog (Constructor)

SearchDialog(browser, parent = None, name = None, modal = 0, fl = 0)

Constructor

browser
  text browser to search in (QTextBrowser)
parent
  parent widget of this dialog (QWidget)
name
  name of this dialog (string or QString)
modal
  flag indicating a modal dialog (boolean)
fl
  window flags

### SearchDialog.enableFindButtons

enableFindButtons()

Private slot to enable/disable the find buttons.

### SearchDialog.handleFind

handleFind()

Private slot to find the entered text in the displayed page.

### SearchDialog.handleFindNext

handleFindNext()

Public slot to find the next occurance of text.

### SearchDialog.showFind

showFind()

Public method to display this dialog.

Up